#!/bin/bash

. /usr/local/Reductor/etc/const
. $CONFIG

LOCKFILE=$LOCKDIR/update.sh.lock
LOCKTIME=60
LOCKFATAL=1
FD=13

CUSTOM_EXIT=1
__custom_exit() {
	release_lock $LOCKFILE $FD
}
trap __exit EXIT

set_lock $LOCKFILE $LOCKTIME $FD $LOCKFATAL
$BINDIR/sync_time.sh
$BINDIR/rkn_download.sh &
$BINDIR/update_minjust.sh &
$BINDIR/update_workaround.sh &
wait
$BINDIR/prepare_lists.sh
$BINDIR/update_signatures.sh
$BINDIR/load.sh
release_lock $LOCKFILE $FD
